org.apache.ignite.internal.metric

## Class IoStatisticsHolderQuery

- java.lang.Object
- - org.apache.ignite.internal.metric.IoStatisticsHolderQuery

All Implemented Interfaces:
  IoStatisticsHolder

    public class IoStatisticsHolderQuery
    extends Object
    implements IoStatisticsHolder

Query Statistics holder to gather statistics related to concrete query. Used in `org.apache.ignite.internal.stat.IoStatisticsHolderIndex` and `org.apache.ignite.internal.stat.IoStatisticsHolderCache`. Query Statistics holder to gather statistics related to concrete query. Used in `org.apache.ignite.internal.stat.IoStatisticsHolderIndex` and `org.apache.ignite.internal.stat.IoStatisticsHolderCache`.

### Field Summary

Fields
`static String` `LOGICAL_READS`
`static String` `PHYSICAL_READS`

### Constructor Summary

Constructors
Constructor and Description
`IoStatisticsHolderQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `logicalReads()`
`void` `merge(long logicalReads, long physicalReads)` Add given given statistics into this.
`String` `metricRegistryName()`
`long` `physicalReads()`
`String` `toString()`
`void` `trackLogicalRead(long pageAddr)` Track logical read of given page.
`void` `trackPhysicalAndLogicalRead(long pageAddr)` Track physical and logical read of given page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PHYSICAL_READS

    public static final String PHYSICAL_READS

See Also:
  Constant Field Values

#### LOGICAL_READS

    public static final String LOGICAL_READS

See Also:
  Constant Field Values

### Constructor Detail

#### IoStatisticsHolderQuery

    public IoStatisticsHolderQuery()

### Method Detail

#### trackLogicalRead

    public void trackLogicalRead(long pageAddr)

Track logical read of given page.

Specified by:
  `trackLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - Address of page.

#### trackPhysicalAndLogicalRead

    public void trackPhysicalAndLogicalRead(long pageAddr)

Track physical and logical read of given page.

Specified by:
  `trackPhysicalAndLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - start address of page.

#### logicalReads

    public long logicalReads()

Specified by:
  `logicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of logical reads.

#### physicalReads

    public long physicalReads()

Specified by:
  `physicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of physical reads.

#### metricRegistryName

    public String metricRegistryName()

Specified by:
  `metricRegistryName` in interface `IoStatisticsHolder`
Returns:
  Metric registry name.

#### merge

    public void merge(long logicalReads,
                      long physicalReads)

Add given given statistics into this. Merge query statistics.

Parameters:
  `logicalReads` - Logical reads which will be added to current query statistics.
  `physicalReads` - Physical reads which will be added to current query statistics,

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022